edu.sc.seis.sod.process.waveform.vector

## Interface WaveformVectorProcess

- All Superinterfaces:
    SodElement, Subsetter
  All Known Subinterfaces:
    WaveformProcessWrapper, WaveformVectorProcessWrapper
  All Known Implementing Classes:
    AbstractWaveformVectorMeasure, ANDWaveformProcessWrapper, EmbeddedEventStation, EmbeddedEventVector, IterDeconReceiverFunction, LegacyVectorExecute, ORWaveformProcessWrapper, ParticleMotionPlot, RotateGCP, SampleSyncronize, ThreeComponentData, VectorImageProcess, VectorResultWrapper, VectorRetryAndContinue, VectorRetryAndFail, VectorScript, VectorTrim, WaveformVectorAlwaysSuccess, WaveformVectorAND, WaveformVectorAsAvailableData, WaveformVectorFork, WaveformVectorNOT, WaveformVectorOR

      public interface WaveformVectorProcess
      extends Subsetter

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `WaveformVectorResult` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms, CookieJar cookieJar)`

- - ### Method Detail

    - #### accept

          WaveformVectorResult accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                      edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup,
                                      edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] original,
                                      edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] available,
                                      edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms,
                                      CookieJar cookieJar)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`